apiVersion: apps/v1 # for versions before 1.9.0 use apps/v1beta2
kind: Deployment
metadata:
  name: api
  labels:
    app: api-gateway-demo
    component: api
spec:
  selector:
    matchLabels:
      app: api-gateway-demo
      component: api
  replicas: 1
  template:
    metadata:
      labels:
        app: api-gateway-demo
        component: api
    spec:
      containers:
      - name: api
        image: gcr.io/google_containers/echoserver:1.8
        ports:
        - containerPort: 8080